%global debug_package %{nil}
%global _python_bytecompile_errors_terminate_build 0
%global build_ver ts4

%if "%{build_ver}" == "ts2"
%global pkg_ver 0.1.13
%global __python /usr/bin/python2
%endif

%if "%{build_ver}" == "ts3"
%global pkg_ver 3.1.13
%endif

%if "%{build_ver}" == "ts4"
%global pkg_ver 4.1.13
%endif


Summary:    Upgrade OC to higher release
Name:       upgrade-os

Version:    %{pkg_ver}
Release:    1%{?dist}
License:    GPLv2
URL:        https://git.woa.com/tlinux/TSS-tools/upgrade-os
Source0:    upgrade-os-%{version}.tar.gz

%if "%{build_ver}" == "ts2"
BuildRequires:  python2-pip python2-setuptools python2-devel
%else
BuildRequires:  python3-pip python3-setuptools
#%%if "%%{build_ver}" == "ts4"
#Requires: python3-importlib-metadata
#%%endif
%endif
Requires: jq

Obsoletes: upgrade-oc < %{pkg_ver}

ExclusiveArch:  x86_64 aarch64

%description
This package provides a tool to check the ABI and API differences between two
given rpms.

%prep
%autosetup

%build
%if "%{build_ver}" == "ts2"
%py2_build
%else
%py3_build
%endif

%install
%if "%{build_ver}" == "ts2"
%py2_install
%else
%py3_install
%endif

%if "%{build_ver}" == "ts2"
mkdir -p %{buildroot}%{_prefix}/libexec/%{name}/3
mkdir -p %{buildroot}%{_prefix}/libexec/%{name}/4
mv %{buildroot}%{_prefix}/libexec/%{name}/%{name}-3.*.rpm %{buildroot}%{_prefix}/libexec/%{name}/3/
mv %{buildroot}%{_prefix}/libexec/%{name}/%{name}-4.*.rpm %{buildroot}%{_prefix}/libexec/%{name}/4/
%endif

%if "%{build_ver}" == "ts3"
mkdir -p %{buildroot}%{_prefix}/libexec/%{name}/4
mv %{buildroot}%{_prefix}/libexec/%{name}/%{name}-4.*.rpm %{buildroot}%{_prefix}/libexec/%{name}/4/
%endif


%files
%{_bindir}/upgrade-os
%{_prefix}/libexec/%{name}/
%if "%{build_ver}" == "ts2"
%{python_sitelib}/*
%else
%{python3_sitelib}/*
%endif

%changelog
* Fri Dec 13 2024 cunshunxia <cunshunxia@tencent.com> - 0.1.6-2
- add runtime requires of jq.

* Wed Nov 27 2024 cunshunxia <cunshunxia@tencent.com> - 0.1.1-1
- Prepare for official release, fix some bugs.

* Mon Nov 18 2024 cunshunxia <cunshunxia@tencent.com> - 0.1.0-1
- initial build
